/* General Styles */

button.menu-toggle{
  background-color: transparent;
  border: 0px;
}
header.header {
  width: 100%;
  background-color: #f1f3f2;
  /* overflow-x: hidden; */
}

.header-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 50px 0px 20px;
  max-width: 100%; /* Prevents overflow */
  /* overflow-x: hidden; */
}

.logo {
  width: 157px;
}

/* Menu Styles */
.header-menu ul li {
  width: auto;
  letter-spacing: 0.05rem;
  text-transform: uppercase;
  font-size: 16px;
  position: relative;
  text-align: left;
  cursor: pointer;
}

.header-menu ul li a {
  color: #000;
}

.header-menu ul li a:hover {
  color: #000;
}

.header-menu ul li:first-child {
  margin-left: 0px;
}

.header-menu ul li.current_page_item a {
  font-family: 'casperbold';
}

.header-menu ul li a::after {
  content: '';
  width: 100%;
  height: 0;
  display: block;
  transition: transform .2s ease-out, opacity .2s ease-out;
  opacity: 0;
  margin-top: 11px;
  transform: scaleX(0);
}



.menu.navbar-nav .highlight_tracking a {
  color: #b03034;
}

/* Submenu Styles */
.header-menu ul li > ul.sub-menu li.current-menu-item a {
  /* color: #064b8b; */
}

.header-menu ul li > ul.sub-menu li a:after {
  display: none;
}

.header-menu ul li > ul.sub-menu li a:hover,
.header-menu ul li.current_page_item a {
  color: #fff;
  text-decoration: none;
}

.header-menu ul li.current_page_ancestor a:after {
  content: '';
  width: 100%;
  height: 0;
  /* border-top: 2px solid #054b8b; */
  display: block;
  transition: transform .2s ease-out, opacity .2s ease-out;
  margin-top: 10px;
  transform: scaleX(1);
  opacity: 1;
}

.header-menu ul li > ul.sub-menu li {
  margin-left: 0px;
  width: 100%;
  line-height: normal;
  padding: 8px 0;
}

.header-menu ul li {
  display: flex;
  justify-content: space-between;
}


/* Hover and Focus Style for Submenu */


.header-menu ul li#menu-item-357 ul,
.header-menu ul li#menu-item-613 ul {
  width: 270px;
}

/* Navbar and Link Styles */
.navbar-nav {
  display: flex;
  flex-direction: column;
  list-style: none;
  padding: 0;
  margin: 0;
  max-width: 100%; /* Prevents overflow */
  width: 100%;
}

.navbar-nav a {
  text-decoration: none;
  color: #ffffff;
}

a:focus,
button:focus,
input:focus,
textarea:focus,
select:focus {
  outline: 2px solid #c7d4e7;
  outline-offset: 2px;
}

.navbar-nav .sub-menu {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  width: 233px;
  padding: 10px;
  background-color: #fff;
  border: 1px solid #e6e6e6;
  border-top: 2px solid #054b8b;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.6);
}

.navbar-nav .sub-menu li a {
  color: #000;
}

/* Mobile Menu Button Styles */
.menu-toggle {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 30px;
  cursor: pointer;
  position: relative;
}

.menu-toggle.open + .mobile_view {
  display: flex; /* Show mobile menu when button is active */
  max-height: 100vh; /* Expand to show menu */
  overflow: visible;
}

.menu-icon .navicon {
  background: #fff;
  height: 5px;
  width: 35px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: all 0.3s ease;
}

.menu-icon .navicon::before,
.menu-icon .navicon::after {
  content: '';
  background: #fff;
  height: 5px;
  width: 35px;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  transition: all 0.3s ease;
}

.menu-icon .navicon::before {
  top: -10px;
}

.menu-icon .navicon::after {
  top: 10px;
}

/* Transforming to X on Button Open */
.menu-toggle.open .navicon {
  background: transparent;
}

.menu-toggle.open .navicon::before {
  transform: translate(-50%, 0) rotate(45deg);
  top: 0;
}

.menu-toggle.open .navicon::after {
  transform: translate(-50%, 0) rotate(-45deg);
  top: 0;
}

/* Mobile Menu Visibility Control */
.mobile_view {
  display: none;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease-out;
  flex-direction: column;
  width: 100%;
}

/* Desktop-Specific Styles */
@media (min-width: 992px) {

  .header-menu ul li:hover > ul,
.header-menu ul li:focus-within > ul {
  top: 100%;
  z-index: 999;
  display: flex;
  flex-direction: column;
  /* width: 100%; */
  /* background-color: #343d4e; */
}


  .header-menu ul li:hover > ul,
  .header-menu ul li:focus-within > ul {
    background-color: #ffffff;
  }

  .header-menu ul li a:hover::after,
.header-menu ul li.current_page_item a::after {
  transform: scaleX(1);
  opacity: 1;
}

  .header-menu ul li > ul.sub-menu li a:hover,
  .header-menu ul li.current_page_item a {
      color: #000;
  }

  .logo.mobile_logo {
      display: none;
  }
  .menu.navbar-nav.mobile_view {
      display: none;
  }
  .logo.desktop_view {
      display: flex;
  }
  .menu {
      display: flex;
      justify-content: flex-end;
      flex-direction: row;
  }
  .menu-toggle {
      display: none; /* Hide menu button on desktop */
  }
  .navbar-nav .sub-menu {
      position: absolute;
      display: none;
  }
  .navbar-nav .menu-item-has-children:hover > .sub-menu,
  .navbar-nav .menu-item-has-children:focus-within > .sub-menu {
      display: flex;
      flex-direction: column;
      /* margin-top: 3px; */
  }
  .navbar-nav .menu-item-has-children:hover > a {
      color: #054b8b;
  }
  .header-menu ul li {
      padding: 5px 20px;
  }

  .header-menu ul li a {
    position: relative;
  }

  .header-menu ul li a::after {
    content: '';
    position: absolute;
    bottom: -6px;
    width: 0;
    height: 3px;
    background-color: #054b8b;
    transition: width 0.3s ease;
    transform-origin: left;
    z-index: 200;
  }

  .header-menu ul li:hover > a::after {
    width: 100%; /* Expands from left to right on hover */
  }

  /* Dropdown Arrow for Parent Menu Items */
.header-menu ul li.menu-item-has-children:after {
  content: "";
  display: inline-block;
  background: url(../images/images-menu_arrow.png) no-repeat;
  width: 13px;
  height: 7px;
  background-size: contain;
  margin: 4px 0 0 5px;
  vertical-align: top;
}

.header-menu ul li.menu-item-has-children:hover::after {
  background: url(../images/images-menu_arrow_h.png) no-repeat;
}


}

/* Mobile-Specific Styles */
@media (max-width: 991px) {
  .header-menu ul li {
      display: block;
      border-bottom: 0.5px solid #2d3442;;
      /* padding: 5px 0px */
  }

  .header-menu ul li.menu-item-has-children:after {
    content: "";
    background: url(../images/images-close_menu.png) no-repeat;
    width: 30px;
    height: 30px;
    position: absolute;
    right: 30px;
    top: 15px;
    background-size: 25px;

}

.header-menu ul li.menu-item-has-children.plus:after {
    background: url(../images/images-open_menu.png) no-repeat;
    background-size: 25px;
}

  .desktop_view {
      display: none;
  }
  .desktop_logo{
    display: none;
  }
  .mobile_view {
      /* display: none; */
      min-height: fit-content;
  }
  .header.header {
      background-color: #202837;
  }
  .header-inner {
      padding: 10px 0px;
  }
  .logo.desktop_view {
      display: none;
  }
  .logo.mobile_view {
      display: inline-block;
  }
  .sub-menu {
      display: flex;
      flex-direction: column;
  }
  .navbar-nav li {
      width: 100%;
      /* padding-left: 29px;
      padding-top: 24px; */
      color: #ffffff;
  }
  .navbar-nav .sub-menu {
      position: static;
      padding: 0px 0px;
      background: transparent;
      border: none;
      box-shadow: none;
      width: 100%;
      background-color: #2a3345;
  }
  .header-menu ul li a {
      color: #fff;
      padding: 20px 0px 10px 20px;
      font-size: 32px;
  }
  .header-menu ul li ul li{
    border-bottom: 0.5px solid #212836;
  }
  .header-menu ul li ul li a {
    color: #fff;
    padding: 20px 0px 20px 40px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
    font-size: 28px;
    
}
  .header-menu ul li a:hover {
      color: #fff;
  }
  .navbar-nav .sub-menu li a {
      color: #fff;
      font-weight: lighter;
  }
  .navbar-nav .sub-menu li {
      padding-left: 0px;
  }

  .menu-item-wrapper {
      display: flex;
      justify-content: space-between;
      align-items: center;
  }

  .menu-item-wrapper a {
      flex-grow: 1;
  }

  .menu-item-wrapper .menu_arrow {
      margin-left: auto;
  }
}

/* Additional Styling for Smaller Screens */
@media (max-width: 499px) {
  .navbar-nav a {
      font-size: 24px;
  }
  .navbar-nav .sub-menu li a {
      font-size: 22px;
  }
}

@media (max-width: 380px) {
  .navbar-nav .sub-menu {
      padding-left: 15px;
  }
  .navbar-nav .sub-menu li a {
      font-size: 20px;
      letter-spacing: 0;
  }
}
.testing.thisupdates{
  font-size:30px;
}
